// bersetzungen von HomeMatic IDs zu sprechenden Texten fr alle
// Controls, die nicht direkt im webmatic.js abgehandelt werden.

var textMap = {
HUMIDITY:"Luftfeuchtigkeit",
TEMPERATURE: "Temperatur",
ACTUAL_TEMPERATURE: "Temperatur",
WIND_SPEED:"Windgeschwindigkeit",
DEW_POINT:"Taupunkt",
ABS_HUMIDITY:"Absolute Luftfeuchtigkeit",
VALVE_STATE:"Ventiloeffnung",
BRIGHTNESS:"Helligkeit",
TEMP_MIN_24H:"Min. Temperatur (24 Std)",
TEMP_MAX_24H:"Max. Temperatur (24 Std)",
HUM_MIN_24H:"Min. Luftfeuchtigkeit (24 Std)",
HUM_MAX_24H:"Max. Luftfeuchtigkeit (24 Std)",
MISS_24H:"Fehlende Datenpakete (24 Std)",
PROG_TIMER:"-",
COUNTER:"-",
SUM:"-",
MEAN5MINUTES:"Durchschnittsverbrauch (5 Min)",
MAX5MINUTES:"Maximalverbrauch (5 Min)",
SUM_1H:"Verbrauch letzte Stunde",
MAX_1H:"Maximalverbrauch letzte Stunde",
SUM_24H:"Verbrauch (24 Std)",
MAX_24H:"Maximalverbrauch (24 Std)",
METER:"Zaehlerstand",
FILLING_LEVEL: "Fuellstand",
BOOST_MODE:"Boost",
LOWERING_MODE:"Absenken",
MANU_MODE:"Manuell",
COMFORT_MODE:"Komfort",
AUTO_MODE:"Automatisch",
ALL_LEDS:"-",
CONTROL_MODE:"-",
BOOST_STATE:"-",
ACTUAL_HUMIDITY:"Aktuelle Luftfeuchtigkeit",
LOWBAT:"Batteriewechsel", 
LOWBAT_REPORTING:"Batteriewechsel",
COMMUNICATION_REPORTING:"-",
WINDOW_OPEN_REPORTING:"-" 
};

var imageMap = {
HUMIDITY:"humidity.png",
ACTUAL_HUMIDITY:"humidity.png",
TEMPERATURE:"temperature.png",
ACTUAL_TEMPERATURE:"temperature.png"
};

function MapText(text)
// Funktion zum mappen der IDs auf Texte.
{
  newText = "";
  newText = textMap[text];

  // Wenn nichts gefunden, dann Originaltext zurck:
  if (!newText)
    return text;
  else
    return newText;
}

function MapImage(text)
// Funktion zum mappen von IDs auf Grafiken:
{
  gfx = "";
  gfx = imageMap[text];

  // Wenn keines gefunden, dann unknown.png zurck:
  if (!gfx)
    return "unknown.png";
  else
    return gfx;
}
